Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class BuildLogger

    java.lang.Object
      org.gradle.BuildLogger

All Implemented Interfaces:
  TaskExecutionGraphListener, BuildListener

    public class BuildLogger

extends Object
implements BuildListener, TaskExecutionGraphListener

A `BuildListener` which logs the build progress.

Constructor Summary
`BuildLogger(Logger logger, org.gradle.util.Clock buildTimeClock, StartParameter startParameter)`

Method Summary
`void` | `buildFinished(BuildResult result)` Called when the build is completed.
`void` | `buildStarted(Gradle gradle)` Called when the build is started.
`void` | `graphPopulated(TaskExecutionGraph graph)` This method is called when the `TaskExecutionGraph` has been populated, and before any tasks are executed.
`void` | `projectsEvaluated(Gradle gradle)` Called when all projects for the build have been evaluated.
`void` | `projectsLoaded(Gradle gradle)` Called when the projects for the build have been created from the settings.
`void` | `settingsEvaluated(Settings settings)` Called when the build settings have been loaded and evaluated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildLogger

    public BuildLogger(Logger logger,
                       org.gradle.util.Clock buildTimeClock,
                       StartParameter startParameter)

Method Detail

### buildStarted

    public void buildStarted(Gradle gradle)

  Description copied from interface: `BuildListener`

  Called when the build is started.

  Specified by:
    `buildStarted` in interface `BuildListener`
  Parameters:
    `gradle` - The build which is being started. Never null.

### settingsEvaluated

    public void settingsEvaluated(Settings settings)

  Description copied from interface: `BuildListener`

  Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

  Specified by:
    `settingsEvaluated` in interface `BuildListener`
  Parameters:
    `settings` - The settings. Never null.

### projectsLoaded

    public void projectsLoaded(Gradle gradle)

  Description copied from interface: `BuildListener`

  Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

  Specified by:
    `projectsLoaded` in interface `BuildListener`
  Parameters:
    `gradle` - The build which has been loaded. Never null.

### projectsEvaluated

    public void projectsEvaluated(Gradle gradle)

  Description copied from interface: `BuildListener`

  Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

  Specified by:
    `projectsEvaluated` in interface `BuildListener`
  Parameters:
    `gradle` - The build which has been evaluated. Never null.

### graphPopulated

    public void graphPopulated(TaskExecutionGraph graph)

  Description copied from interface: `TaskExecutionGraphListener`

  This method is called when the `TaskExecutionGraph` has been populated, and before any tasks are executed.

  Specified by:
    `graphPopulated` in interface `TaskExecutionGraphListener`
  Parameters:
    `graph` - The graph. Never null.

### buildFinished

    public void buildFinished(BuildResult result)

  Description copied from interface: `BuildListener`

  Called when the build is completed. All selected tasks have been executed.

  Specified by:
    `buildFinished` in interface `BuildListener`
  Parameters:
    `result` - The result of the build. Never null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD